import { select, selectAll } from 'unist-util-select';
import { remove } from 'unist-util-remove';
import { Tags } from 'jats-tags';
import { copyNode } from '../utils.js';
/**
 * Move figure > caption > titles up to the figure
 */
export function figCaptionTitleTransform(tree) {
    const figures = selectAll(Tags.fig, tree);
    figures.forEach((figure) => {
        const captionTitle = select('caption > title', figure);
        if (!captionTitle)
            return;
        figure.children = [copyNode(captionTitle), ...figure.children];
        captionTitle.type = '__delete__';
    });
    remove(tree, '__delete__');
}
export const figCaptionTitlePlugin = () => (tree) => {
    figCaptionTitleTransform(tree);
};
