import { copyNode as mystCopyNode, toText as mystToText } from 'myst-common';
/**
 * toText function that handles newer version of unist
 */
export function toText(node) {
    return mystToText(node);
}
/**
 * copyNode function that handles newer version of unist
 */
export function copyNode(node) {
    return mystCopyNode(node);
}
export function logMessagesFromVFile(session, file) {
    if (!file)
        return;
    file.messages.forEach((message) => {
        const kind = message.fatal === null ? 'info' : message.fatal === false ? 'warn' : 'error';
        const note = (message === null || message === void 0 ? void 0 : message.note) ? `\n   Note: ${message.note}` : '';
        const url = (message === null || message === void 0 ? void 0 : message.url) ? `\n   See also: ${message.url}\n` : '';
        const prefix = (message === null || message === void 0 ? void 0 : message.file) ? `${message === null || message === void 0 ? void 0 : message.file} ` : '';
        const formatted = `${message.reason}${note}${url}`;
        switch (kind) {
            case 'info':
                session.log.info(`ℹ️  ${prefix}${formatted}`);
                break;
            case 'error':
                session.log.error(`⛔️ ${prefix}${formatted}`);
                break;
            case 'warn':
                session.log.warn(`⚠️  ${prefix}${formatted}`);
                break;
            default:
                session.log.debug(`${prefix}${formatted}`);
                break;
        }
    });
    file.messages = [];
}
